package com.huigou.topsun.sap.sapApplication.application;

import com.huigou.util.SDO;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @Auther: xin.lu
 * @Date: 2024/01/09/11:23
 * @Description:
 */
public interface SapDictionaryApplication {
    List<Map<String,String>> getSapDictionary(String fieldName) throws IOException;
    List<Map<String,String>> getSapDictionary(String fieldName,String fieldValue) throws IOException;

    public Map<String,Object> initEasySearchModel(List<Map<String, String>> mapList, String param, SDO sdo);

    public String[] getWidths(List<Map<String, String>>  mapList);
}
